Bug 463005 - LVM Snapshot Merging?????
LVM Snapshot Merging?????
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Mikulas Patocka
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-20 09:15 EDT by Leif Bergman
Modified: 2013-01-09 06:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-28 11:01:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif Bergman 2008-09-20 09:15:05 EDT
Description of problem:
This is a feature request...

Version-Release number of selected component (if applicable):
l2.02.39-3

How reproducible:
No -M flag for lvconvert. That is - no support for mergeback of snapshots.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://kerneltrap.org/Linux/LVM_Snapshot_Merging
Comment 1 Milan Broz 2008-09-21 04:49:11 EDT
The kernel support is not in upstream kernel yet.

I hope we will merge this merging patches soon:-)
Comment 2 Avi Kivity 2009-06-18 11:45:28 EDT
When is this expected to be merged to mainline?
Comment 3 Mikulas Patocka 2010-04-28 11:01:18 EDT
Mergeable snapshots is in upstream now. It will be supported by distributions when the pick new kernel and lvm2 packages.

Note You need to log in before you can comment on or make changes to this bug.